from entity_type import EntityType


class Candidate:
    """
    Candidate

    The Candidate class represents a potential candidate link to an entity

    ---------
    PARAMS:

    entity: EntityType
        The type of entity that is linked
    score: float
        The confidence score of the link
    """

    def __init__(self, entity: EntityType, score: float):
        self.entity = entity
        self.score = score

    def __str__(self):
        return "{{entity: {}, score: {}}}".format(self.entity, self.score)
